# Generated from trulioo_sdk-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name trulioo_sdk

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Trulioo Ruby SDK
License: Apache-2.0
URL: https://github.com/Trulioo/sdk-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4
# BuildRequires: rubygem(rspec_junit_formatter) < 1
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(webmock) >= 3.12
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Trulioo Ruby SDK.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.3-1
- Initial package
